<!-- Verifica que exista la variable -->
<div class="card" *ngIf="professor">
  <div class="card-body">
    <h5 class="card-title">{{professor.firstname}} {{professor.lastname}}</h5>
    <p class="card-text"><b>Email:</b>{{professor.email}}</p>
  </div>
</div>
